Get ORGANISATION

Retrieves a version of the ORGANISATION identified by uid_based_id.

The uid_based_id can take a form of an OBJECT_VERSION_ID identifier taken from VERSION.uid.value (i.e. a version_uid), or a form of a HIER_OBJECT_ID identifier taken from VERSIONED_OBJECT.uid.value (i.e. a versioned_object_uid). The former is used to retrieve a specific known version of the ORGANISATION (e.g. one identified by 8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1), whereas the later (e.g. an identifier like 8849182c-82ad-4088-a07f-48ead4180515) is be used to retrieve a version from the version container whenever the version_tree_id is unknown or irrelevant (such as when most recent version is requested).

When the uid_based_id has the form of a HIER_OBJECT_ID, if the version_at_time is supplied, retrieves the version extant at specified time, otherwise retrieves the latest ORGANISATION version.

See Resource identification for more details about the identifiers usage and meaning.

Path Parameters
  • uid_based_id
    Type: string
    required

    An abstract identifier: it can take a form of an OBJECT_VERSION_ID identifier taken from VERSION.uid.value (i.e. a version_uid), or a form of a HIER_OBJECT_ID identifier taken from VERSIONED_OBJECT.uid.value (i.e. a versioned_object_uid).

Query Parameters
  • version_at_time
    Type: stringFormat: datetime

    A given time in the extended ISO 8601 format.

Responses
  • application/json
  • 204

    204 No Content is returned when the resource identified by the request parameters (at specified version_at_time) time has been deleted.

  • 404

    404 Not Found is returned when either the URL configured doesn't exist at all, or the targeted resource doesn't exist, or when a VERSION of the resource does not exist at the specified version_at_time.

Request Example for get/demographic/organisation/{uid_based_id}
curl 'https://cataniamc.prod.cadasto.com/v1/demographic/organisation/{uid_based_id}?version_at_time='
{
"_type": "ORGANISATION",
"name": {},
"archetype_node_id": "string",
"uid": {
"_type": "HIER_OBJECT_ID",
"value": "123e4567-e89b-12d3-a456-426614174000"
},
"links": [
{